this.name 			= "PlanetFall_Oohaul"; 
this.author 		= "Thargoid"; 
this.copyright 		= "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license with clauses - see readme.txt."; 
this.description 	= "Oo-Haul escort mission from the main planet to the witchpoint & constore."; 
this.version 		= "1.10"; 

this.startUp = function()
	{
	missionVariables.PFoohaul_mis_stage = 1;
	}

this.shipExitedWitchspace = function() 
	{
	if(missionVariables.PFoohaul_mis_stage == 2 || missionVariables.PFoohaul_mis_stage == 3)
		{
		mission.setInstructionsKey(null);
		missionVariables.PFoohaul_mis_stage = 1;
		}
	}

this.guiScreenChanged = function()
	{
	if(!player.ship.docked) // if we're in an in-flight GUI screen, no need to go any further
		{
		return;
		}

	if(!player.ship.dockedStation.hasRole("planetFall_mainSurface_oohaul") && !player.ship.dockedStation.hasRole("constore")) 
		{ // if we're not at a constore or the Oohaul planetside distribution centre, bail out here
		return;
		}

	if(player.ship.dockedStation.hasRole("planetFall_mainSurface_oohaul") && missionVariables.PFoohaul_mis_stage == 1 && (guiScreen == "GUI_SCREEN_MAIN" || guiScreen == "GUI_SCREEN_STATUS"))
		{
		this.PFoohaul_conArray = system.shipsWithPrimaryRole("constore");
		if(system.government > 3)
			{
			missionVariables.PFoohaul_credits = 2276;
			if(this.PFoohaul_conArray.length > 0)
				{
				mission.runScreen({title:"Oo-Haul Contract to Constore", messageKey:"PFoohaul_con_desc_lodanger", choicesKey:"PFoohaul_con_choice", shipKey:"PFoohaulerWit"}, this.choices);
				}
			else
				{
				mission.runScreen({title:"Oo-Haul Contract to Witchpoint", messageKey:"PFoohaul_wit_desc_lodanger", choicesKey:"PFoohaul_wit_choice", shipKey:"PFoohaulerWit"}, this.choices);
				}
			missionVariables.PFoohaul_mis_stage = 2;
			}
		else
			{
			missionVariables.PFoohaul_credits = 4330;
			if(this.PFoohaul_conArray.length > 0)
				{
				mission.runScreen({title:"Oo-Haul Contract to Constore", messageKey:"PFoohaul_con_desc_hidanger", choicesKey:"PFoohaul_con_choice", shipKey:"PFoohaulerCon"}, this.choices);
				}
			else
				{
				mission.runScreen({title:"Oo-Haul Contract to Witchpoint", messageKey:"PFoohaul_wit_desc_hidanger", choicesKey:"PFoohaul_wit_choice", shipKey:"PFoohaulerCon"}, this.choices);
				}
			missionVariables.PFoohaul_mis_stage = 2;
			}
		return;
		}
	
	if(player.ship.dockedStation.hasRole("constore") && missionVariables.PFoohaul_mis_stage == 3 && (guiScreen == "GUI_SCREEN_MAIN" || guiScreen == "GUI_SCREEN_STATUS"))
		{
		if(missionVariables.PFoohaul_mis_done == "YES")
			{
			mission.runScreen({title:"Oo-Haul Mission Accomplished", messageKey:"PFoohaul_con_desc_docked"});
			missionVariables.PFoohaul_mis_done = null;
			player.credits += missionVariables.PFoohaul_credits;
			missionVariables.PFoohaul_credits = null;
			missionVariables.PFoohaul_mis_stage = 1;
			mission.setInstructionsKey(null)
			}
		else
			{
			missionVariables.PFoohaul_mis_stage = null;
			missionVariables.PFoohaul_credits = null;
			mission.setInstructionsKey(null)
			}
		}
	}


this.shipWillLaunchFromStation = function()
	{
	if(missionVariables.PFoohaul_mis_stage == 0)
		{
		missionVariables.PFoohaul_mis_stage = 1;
		}
	this.PFoohaul_conArray = system.shipsWithPrimaryRole("constore");
	}

this.choices = function (choice)
	{
	if(choice == "PFoohaul_no" && missionVariables.PFoohaul_mis_stage == 2)
		{
		missionVariables.PFoohaul_mis_stage = 0;
		missionVariables.PFoohaul_credits = 0;
		return;
		}

	if(choice == "PFoohaul_yes_con" && missionVariables.PFoohaul_mis_stage == 2)
		{
		missionVariables.PFoohaul_mis_stage = 3;
		missionVariables.PFoohaul_cargo = 3;
		system.legacy_addShipsAt("PFoohaulerCon", 1, "abs", system.mainStation.position.add([2000,2000,0]));
		mission.setInstructionsKey("PFoohaul_con_desc_short");
		return;
		}

	if(choice == "PFoohaul_yes_wit" && missionVariables.PFoohaul_mis_stage == 2)
		{
		missionVariables.PFoohaul_mis_stage = 3;
		missionVariables.PFoohaul_cargo = 3;
		system.legacy_addShipsAt("PFoohaulerWit", 1, "abs", system.mainStation.position.add([2000,2000,0]));
		mission.setInstructionsKey("PFoohaul_wit_desc_short");
		return;
		}
	}